Skip to main content
`Ctrl`+`K`

# EPSGetType

Gets the `EPS` type as a string from the `EPS` object.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetType(EPS eps,EPSType *type)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- type - name of `EPS` method

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetType()`

## Level

intermediate

## Location

src/eps/interface/epsbasic.c

## Examples

src/eps/tutorials/ex5.c
src/eps/tutorials/ex24.c
src/eps/tutorials/ex34.c
src/eps/tutorials/ex3.c
src/eps/tutorials/ex1.c
src/eps/tutorials/ex44.c
src/eps/tutorials/ex2.c
src/eps/tutorials/ex41.c
src/eps/tutorials/ex11.c
src/eps/tutorials/ex18.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages